package com.elink.esua.epdc.modules.analysis.service.impl;


import com.elink.esua.epdc.commons.tools.utils.Result;
import com.elink.esua.epdc.dto.topic.form.HotTopicFormDTO;
import com.elink.esua.epdc.dto.topic.form.NewHotTopicFormDTO;
import com.elink.esua.epdc.modules.analysis.feign.AnalysisTopicFeignClient;
import com.elink.esua.epdc.modules.analysis.service.AnalysisTopicService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 项目模块-移动app端
 * @Author LPF
 * @Date 2019/11/18 16:34
 */
@Service
public class AnalysisTopicServiceImpl implements AnalysisTopicService {

    @Autowired
    private AnalysisTopicFeignClient analysisTopicFeignClient;



    @Override
    public Result test() {
        return analysisTopicFeignClient.test();
    }

    @Override
    public Result getHotTopicList(HotTopicFormDTO hotTopicFormDTO) {
        return analysisTopicFeignClient.getHotTopicList(hotTopicFormDTO);
    }

    @Override
    public Result getNewTopicList(NewHotTopicFormDTO newHotTopicFormDTO) {
        return analysisTopicFeignClient.getNewTopicList(newHotTopicFormDTO);
    }
}
